Package net.shibboleth.saml.saml1.profile.config

# Interface AttributeQueryProfileConfiguration

All Superinterfaces:
  `AttributeResolvingProfileConfiguration`, `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAMLProfileConfiguration`

public interface AttributeQueryProfileConfiguration extends AttributeResolvingProfileConfiguration, SAMLProfileConfiguration
Configuration support for SAML 1.x attribute query profile.

Note that this interface extends neither the assertion producing nor consuming interfaces, as this is specific to IdP and SP behavior.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROFILE_ID`
ID for this profile configuration.

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

### Methods inherited from interface net.shibboleth.profile.config.AttributeResolvingProfileConfiguration

`getAttributeRecipientGroupID, getRequestedIdPAttributeNames, isResolveAttributes`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty static final String PROFILE_ID
ID for this profile configuration.

See Also:
  - Constant Field Values